Bug 1323202 - python-sphinx-1.4.4 is available
Summary: python-sphinx-1.4.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Avram Lubkin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1340619
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-01 14:05 UTC by Upstream Release Monitoring
Modified: 2016-07-10 05:55 UTC (History)
4 users (show)

Fixed In Version: python-sphinx-1.4.4-2.fc24
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-10 05:55:28 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.70 KB, patch)
2016-04-01 14:05 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.25 KB, patch)
2016-06-01 04:34 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.25 KB, patch)
2016-06-05 12:20 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.25 KB, patch)
2016-06-15 06:48 UTC, Upstream Release Monitoring
no flags Details | Diff
Patch for 1.4.4 spec file (4.63 KB, patch)
2016-07-03 02:43 UTC, Avram Lubkin
no flags Details | Diff

Description Upstream Release Monitoring 2016-04-01 14:05:13 UTC
Latest upstream release: 1.4
Current version/release in rawhide: 1.1.3-9.el7
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 1 Upstream Release Monitoring 2016-04-01 14:05:35 UTC
Patching or scratch build for python-sphinx and version 1.1.3 FAILED.
See for details

Comment 2 Upstream Release Monitoring 2016-04-01 14:05:37 UTC
Created attachment 1142572 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-04-01 14:05:38 UTC
Patches were not touched. All were applied properly

Comment 4 Tatsuyuki Ishi 2016-04-16 08:57:36 UTC
Here is a ping, the update is taking too much time.

Comment 5 Upstream Release Monitoring 2016-06-01 04:34:01 UTC
Latest upstream release: 1.4.2
Current version/release in rawhide: 1.1.3-9.el7
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 6 Upstream Release Monitoring 2016-06-01 04:34:33 UTC
Patching or scratch build for python-sphinx-1.1.3 failed.

Comment 7 Upstream Release Monitoring 2016-06-01 04:34:35 UTC
Created attachment 1163474 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 8 Upstream Release Monitoring 2016-06-01 04:34:37 UTC
Patches were not touched. All were applied properly

Comment 9 Upstream Release Monitoring 2016-06-05 12:19:31 UTC
Latest upstream release: 1.4.3
Current version/release in rawhide: 1.1.3-9.el7
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 10 Upstream Release Monitoring 2016-06-05 12:20:03 UTC
Patching or scratch build for python-sphinx-1.1.3 failed.

Comment 11 Upstream Release Monitoring 2016-06-05 12:20:05 UTC
Created attachment 1164886 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 12 Upstream Release Monitoring 2016-06-05 12:20:07 UTC
Patches were not touched. All were applied properly

Comment 13 Upstream Release Monitoring 2016-06-15 06:47:52 UTC
Latest upstream release: 1.4.4
Current version/release in rawhide: 1.1.3-9.el7
URL: http://sphinx-doc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4031/

Comment 14 Upstream Release Monitoring 2016-06-15 06:48:24 UTC
Patching or scratch build for python-sphinx-1.1.3 failed.

Comment 15 Upstream Release Monitoring 2016-06-15 06:48:26 UTC
Created attachment 1168172 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 16 Upstream Release Monitoring 2016-06-15 06:48:27 UTC
Patches were not touched. All were applied properly

Comment 17 Avram Lubkin 2016-06-15 19:23:22 UTC
I've been doing a lot of work on this:

Have a working spec
Submitted new package request for python-imagesize to meet new dependency
Had two pull requests merged upstream to address bugs which caused tests to fail
Requested commit access to Fedora package git

Commit access was requested May 28th and email was sent to salimma the same day. Have not heard from salimma as of today.

Ready to push new release when python-imagesize is in testing and have access to commit.

Comment 18 Avram Lubkin 2016-06-22 20:43:47 UTC
python-imagesize currently in testing.

Still no contact from salimma

Second request for response

Comment 19 Michel Alexandre Salim 2016-07-02 06:35:04 UTC
Hi Avram, 

Sorry for the delay, really need to work on my email queue. 

Please attach the patch here so I can take a look before approving the maintainership request? 

ps apologies for the lack of maintenance, normally some other packagers take turn but nobody seems to have touched this recently

Comment 20 Avram Lubkin 2016-07-03 02:43:18 UTC
Created attachment 1175446 [details]
Patch for 1.4.4 spec file

Spec URL: https://aviso.fedorapeople.org/python-sphinx.spec
SRPM URL: https://aviso.fedorapeople.org/python-sphinx-1.4.4-1.fc24.src.rpm

Diff is attached

Here's a summary of what I did:

1.) Found a couple bugs that made the tests fail, so I sent pull requests uptream:

First one was worked around by a later version of python-sphinx-theme-alabaster, but the real fix will be in 1.5.0.
https://github.com/sphinx-doc/sphinx/pull/2586/

Second one was a latex error and some logic was needed for some versions of lualatex and xelatex. This one was pulled into 1.4.3.
https://github.com/sphinx-doc/sphinx/pull/2590

2.) Updated dependencies and fixed a few python-* -> python2-* name changes

3.) python-imagesize is a new dependency that didn't have a package, so I created one

4.) Split out locale files into their own package since they are shared between 2 and 3

5.) Updated the source to use the new pypi format

I also wanted to do something about bug 1321413, but now that 24 is out, it's probably better to wait and make the change in rawhide for 25. My thought on that is to split out the Sphinx commands into their own package. That separates the commands from the libraries and then packaging policy would dictate it should use Python 3. The Python 2 packages would still be available for anyone who needs them.

Comment 21 Tatsuyuki Ishi 2016-07-03 03:18:16 UTC
Nice work.

However, I don't think splitting the commands is a good idea; Sphinx is useless without them. You may try to do a sed on the Py2 version, and retain the name in Py3 version.

Comment 22 Michel Alexandre Salim 2016-07-03 16:30:31 UTC
Looks good. ACL approved (though I can't approve the request for the EPEL6 branch as I'm not maintaining it myself, and it looks like it's currently marked as retired).

Feel free to update the package; as for the proposed split for rawhide/F25, let's discuss that either in devel@ or packaging@ first and ask what others think?

Comment 23 Upstream Release Monitoring 2016-07-03 20:00:36 UTC
aviso's python-sphinx-1.4.4-2.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=777550

Comment 24 Fedora Update System 2016-07-03 20:13:43 UTC
python-sphinx-1.4.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2167743e8

Comment 25 Avram Lubkin 2016-07-03 20:31:44 UTC
I pushed the diff I posted to master, but then I noticed a couple issues and made a couple more changes.

Essentially, python-sphinx-doc (for a while) and python-sphinx-locale (in the new spec) required python-sphinx. Until the macros are bumped that's provided by python2-sphinx. The problem with locale was introduced with my update and due to mutual dependencies caused python2-sphinx to be a dependency of python3-sphinx. The problem with doc was existing, but only manifested if you wanted to install the docs and python3-sphinx without python2-sphinx.

I fixed it by having both versions provided python(Sphinx) and making that a required dependency with a recommends for python-sphinx. This also made it possible to get rid of python3-sphinx-latex since python-sphinx-latex is only for capturing dependencies.

I pushed the new changes to bohdi for F24, but if you see a problem, I can replace it.

Comment 26 Fedora Update System 2016-07-05 08:53:35 UTC
python-sphinx-1.4.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2167743e8

Comment 27 Fedora Update System 2016-07-10 05:55:26 UTC
python-sphinx-1.4.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.